List Orchestration Rules
List all orchestration rules, optionally filtering and paging the results.
By default, orchestration rules are returned in reverse chronological (descending) order by creation time. If no query parameters are supplied, the response will include up to the last 100 rules which were created.
The paginated results default to display up to 100 rules, unless
otherwise specified with the limit parameter. The maximum limit value is 1000.
Every paginated response contains a next_page_cursor field until the last page is reached.
Pass the next_page_cursor value into the page_cursor field of a new
request to retrieve the next page of results.
Rules can be filtered by:
- Profile ID (
profile_id) - Status (
status) - Source asset (
source_asset) - Destination asset (
destination_asset)
Documentation Index
Fetch the complete documentation index at: https://paxos-0ac97319-mintlify-fix-orchestration-example-1774904789.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Query Parameters
Optional filter by profile ID
Optional filter by statuses
- ACTIVE: The rule is active, deposits matching the
source_assetandsourceof this rule start a conversion and subsequent delivery of thedestination_assetto the specifieddestination. - DELETED: The rule has been deleted, newly deposited
source_assetsto thesourceof this rule will not be converted. The depositedsource_assetis still going to be credited to the Profile specified byprofile_id. - PENDING: The rule creation is pending approval(s) before the rule becomes ACTIVE.
- REJECTED: The rule creation has been rejected during the approval process.
ACTIVE, DELETED, PENDING, REJECTED Optional filter by source asset
Optional filter by destination asset
Optionally filter by the UUIDs of the orchestration rules. Limit 100.
Number of results to return. Defaults to 100 if no limit is provided. Maximum 1000.
Sort order for the results. Defaults to DESC by created_at time.
DESC, ASC Optional Cursor for getting the next page of results.